Перейти к содержимому
LegalStack

Создать версию шаблона

POST/versions

Авторизация

dpop
AuthorizationBearer <токен>

Access token, привязанный к ключу клиента по RFC 9449: заголовок Authorization: DPoP <token> и заголовок DPoP с доказательством для каждого запроса. Сервер выдаёт DPoP-Nonce, который клиент включает в доказательство.

Передаётся в: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/versions" \  -H "Authorization: Bearer <access_token>" \  -H "Content-Type: application/json" \  -d '{    "documentId": "string",    "snapshot": {      "blocks": [        {          "depth": 0,          "id": "string",          "label": "string",          "order": 0,          "template": "string",          "type": "string",          "variables": {}        }      ],      "status": "string",      "title": "string"    }  }'
{  "comment": "string",  "createdAt": "string",  "createdBy": "string",  "documentId": "string",  "id": "string",  "snapshot": null,  "versionNumber": 0}